Skip to main content
GET
/
storage
/
v4
/
sftp_storages
Python
import os
from gcore import Gcore

client = Gcore(
    api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
)
page = client.storage.sftp_storages.list()
page = page.results[0]
print(page.id)
{
  "count": 1,
  "results": [
    {
      "address": "luxembourg-2.storage.example.com",
      "created_at": "2025-08-05T09:17:02Z",
      "expires": "2 years 6 months",
      "has_custom_config_file": false,
      "has_password": true,
      "id": 1,
      "is_http_disabled": false,
      "location_name": "luxembourg-2",
      "name": "my-sftp-storage",
      "provisioning_status": "active",
      "server_alias": "my-storage.example.com",
      "ssh_key_ids": [
        1,
        2
      ],
      "password": "Xy9$mN2p!qR8"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Query Parameters

id
string

Filter by storage ID

name
string

Filter by storage name

location_name
string

Filter by storage location/region

offset
integer<uint64>

Number of records to skip

Required range: x >= 0
limit
integer<uint64>
default:10

Max number of records in response

Required range: 1 <= x <= 1000
order_by
string
default:created_at.desc
provisioning_status
enum<string>

Filter by provisioning status

Available options:
active,
creating,
updating,
deleting,
deleted
show_deleted
boolean

Include deleted storages

Response

SFTPStorageListEndpointResV4

count
integer<int64>
required

Total number of SFTP storages matching the filter

Example:

1

results
SFTPStorageItemV4 SFTP storage with connection details and authentication config. Connect using address with SSH keys or password. · object[]
required

The list of SFTP storages